%define mod_name	crcmod

Name:		python-%{mod_name}
Summary:	Python module for creating functions computing the CRC
Version:	1.7
Release:	%mkrel 17
Group:		Development/Python
License:	MIT
URL:		https://sourceforge.net/projects/crcmod
Source0:	https://downloads.sourceforge.net/project/%{mod_name}/%{mod_name}/%{mod_name}-%{version}/%{mod_name}-%{version}.tar.gz

%description
Python module for creating functions computing the Cyclic Redundancy Check
(CRC). Any generating polynomial producing 8, 16, 24, 32, or 64 bit CRCs is
allowed.
Generated functions can be used in Python or C/C++ source code can be
generated.

%package -n python3-%{mod_name}
Summary:	Python 3 module for creating functions computing the CRC
Group:		Development/Python
%{?python_provide:%python_provide python3-%{mod_name}}
BuildRequires:  python3-devel

%description -n python3-%{mod_name}
Python 3 module for creating functions computing the Cyclic Redundancy Check
(CRC). Any generating polynomial producing 8, 16, 24, 32, or 64 bit CRCs is
allowed.
Generated functions can be used in Python or C/C++ source code can be
generated.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files crcmod

%files -n python3-%{mod_name} -f %{pyproject_files}
%doc README


%changelog
* Mon Dec 11 2023 papoteur <papoteur> 1.7-17.mga10
+ Revision: 2017133
- rebuild for python3.12
- adapt to pyproject

* Sat Mar 19 2022 umeabot <umeabot> 1.7-16.mga9
+ Revision: 1799317
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.7-15.mga9
+ Revision: 1785511
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.7-14.mga9
+ Revision: 1717384
- rebuild for python 3.9
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 1.7-13.mga8
+ Revision: 1535850
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.7-12.mga8
+ Revision: 1452731
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 26 2019 daviddavid <daviddavid> 1.7-11.mga7
+ Revision: 1361139
- BRs pkgconfig(python2) and pkgconfig(python3) thus fixing empty debugsourcefiles
- it can't be a noarch package
- rename python-crcmod to python2-crcmod

* Sat Jan 12 2019 shlomif <shlomif> 1.7-10.mga7
+ Revision: 1355390
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.7-9.mga7
+ Revision: 1288553
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.7-8.mga7
+ Revision: 1135351
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.7-7.mga6
+ Revision: 970872
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.7-6.mga6
+ Revision: 888762
- make it noarch thus fixing empty debuginfo
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 748602
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-4.mga5
+ Revision: 728199
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7-3.mga5
+ Revision: 687949
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7-2.mga5
+ Revision: 628533
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.7-1.mga4
+ Revision: 555925
- imported package python-crcmod

